/*
This file is part of libmspframework
Copyright © 2006 Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/
#ifndef MSP_FRAMEWORK_WIN32POLL_H_
#define MSP_FRAMEWORK_WIN32POLL_H_

#ifdef WIN32
// From Linux sys/poll.h
struct pollfd
{
	int fd;			/* File descriptor to poll.  */
	short int events;	/* Types of events poller cares about.  */
	short int revents;	/* Types of events that actually occurred.  */
};

#ifndef POLLIN
// From Linux pth.h
#define POLLIN		0x0001	/* any readable data available   */
#endif

#ifndef POLLNVAL
// From Linux pth.h
#define POLLNVAL	0x0020	/* requested events "invalid"    */
#endif

#endif	// Win32
#endif
